Subject: opam fails

From: Gabriel Hondet <[email-masked]>
Date: Fri, 22 Feb 2019 21:56:21 +0100

Hi,

When I try to use opam, it fails:

$ opam install menhir

#=== ERROR while compiling ocaml-system.4.07.1 ================================#
# context     2.0.1 | linux/x86_64 |  | https://opam.ocaml.org#34f81c06
# path        ~/.opam/default/.opam-switch/build/ocaml-system.4.07.1
# command     ~/.opam/opam-init/hooks/sandbox.sh build ocaml gen_ocaml_config.ml
# exit-code   1
# env-file    ~/.opam/log/ocaml-system-12254-60459a.env
# output-file ~/.opam/log/ocaml-system-12254-60459a.out
### output ###
# bwrap: execvp ocaml: No such file or directory

and if I do (in fish)
$ set -x OPAM_USER_PATH_RO /home/gabriel/.guix-profile/bin/

then I obtain the error:

$ opam install menhir

#=== ERROR while compiling ocaml-system.4.07.1 ================================#
# context     2.0.1 | linux/x86_64 |  | https://opam.ocaml.org#34f81c06
# path        ~/.opam/default/.opam-switch/build/ocaml-system.4.07.1
# command     ~/.opam/opam-init/hooks/sandbox.sh build ocaml gen_ocaml_config.ml
# exit-code   1
# env-file    ~/.opam/log/ocaml-system-13887-6cc03f.env
# output-file ~/.opam/log/ocaml-system-13887-6cc03f.out
### output ###
# bwrap: Can't mkdir parents for /home/gabriel/.guix-profile/bin/: No such file or directory

Any idea on how to fix this?

Thanks,
Gabriel